cURL
curl --request POST \ --url https://api.gumloop.com/api/v1/upload_file \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "file_name": "<string>", "file_content": "aSDinaTvuI8gbWludGxpZnk=", "user_id": "<string>", "project_id": "<string>" } '
{ "success": true, "file_name": "<string>" }
Documentation IndexFetch the complete documentation index at: https://docs.gumloop.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.gumloop.com/llms.txt
Use this file to discover all available pages before exploring further.
A personal API key or an OAuth 2.0 access token. Personal API keys also require the x-auth-key header with your user ID.
x-auth-key
The name of the file to be uploaded.
Base64 encoded content of the file.
The user ID associated with the file. Required if project_id is not provided.
The project ID associated with the file. Required if user_id is not provided.
File uploaded successfully
The name of the uploaded file.
Was this page helpful?